2008-05-15  Tim Moore  <timoore@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD_LIST ADD):  Add elfutils/libasm/libasm.a.

2008-05-09  Sami Wagiaalla  <swagiaal@toner.yyz.redhat.com>

	* Makefile.am: Corred rule for compiling 
	funit-scopes-multi-file

2008-05-02  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Remove CDTParser.

2008-04-25  Sami Wagiaalla  <swagiaal@toner.yyz.redhat.com>

	* Makefile.am: Added rule to link two files into one
	executable for test case.

2008-04-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (all-local) [DO_ARCH32_TEST]: Conditionally add
	frysk/pkglibdir/arch32/test-sysroot to all-local's dependencies.
	(TEST_SYSROOT, TEST32_SYSROOT): Define.
	
	* .gitignore: Ignore files.base.

2008-04-08  Stan Cox  <scox@redhat.com>

	* Makefile.am (frysk/pkglibdir/funit-addresses-stripped): Remove.
	(frysk/pkglibdir/test-sysroot): New.
	(frysk/pkglibdir/arch32/funit-addresses-stripped): Remove.
	(frysk/pkglibdir/arch32/test-sysroot): New.

2008-03-16  Stan Cox  <scox@redhat.com>

	* Makefile.am (TestTypeFactory.java): Rename from TestTypeEntry.java.

2008-02-19  Nurdin Premji <npremji@redhat.com>

	* Makefile.am (FunitSimpleInterfaceTest): New.
	* frysk/pkglibdir/FunitSimpleInterface.java: New.
	* frysk/pkglibdir/FunitSimpleInterfaceTest.java: New.

2008-02-08  Stan Cox  <scox@redhat.com>

	* Makefile.am (frysk_pkglibdir_funit_quicksort_LINK): New.

2008-02-06  Stan Cox  <scox@redhat.com>

	* Makefile.am (frysk/pkglibdir/funit-addresses-stripped): Run
	eu-strip last so CRC gets recalculated.

2008-01-31  Stan Cox  <scox@redhat.com>

	* Makefile.am (install-sysroot-local): Use DESTDIR, consider ARCH32.

2008-01-29  Stan Cox  <scox@redhat.com>

	* Makefile.am (pkglib_PROGRAMS): Add funit-addresses-stripped.
	Remove nobase_pkgdata_DATA.
	
2008-01-23  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.am: Add rules to create -nodebug and -noeh versions of
	funit-stacks, funit-empty-functions, funit-stacks-exit,
	funit-scopes, funit-scopes-workaround, funit-stack-inlined,
	funit-stacks-values, funit-stacks-linenum and
	funit-cpp-scopes-class.
	
2008-01-17  Stan Cox  <scox@redhat.com>

	* Makefile.am (install-data-hook): Don't install gen-type-funit-tests.

2008-01-16  Stan Cox  <scox@redhat.com>

	* Makefile.am (pkgdatadir/test-sysroot): Use make functions.
	(nobase_pkgdata_DATA): Define for installation of test-sysroot.
	(install-data-hook): Likewise.

2008-01-15  Stan Cox  <scox@redhat.com>

	* Makefile.am (pkgdatadir/test-sysroot): New.

2008-01-13  Stan Cox  <scox@redhat.com>

	* Makefile.am (frysk/pkglibdir/funit-addresses-stripped): New.

2007-12-03  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_CLASSPATH): Add frysk-sys.jar.
	(GEN_SOURCEPATH): Delete frysk-sys/.

2007-12-03  Stan Cox  <scox@redhat.com>

	* Makefile.am (TestTypeEntry.java): Fix dependency.

2007-11-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (ANTLR): Delete.

2007-11-13  Jose Flavio Aguilar Paulino <jflavio@br.ibm.com>

	* Makefile.am: Add libunwind-ppc32 to gcj linker dependencies. 

2007-10-30  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk/debuginfo/TestTypeEntryType.java)
	(frysk/debuginfo/TestTypeEntryValue.java): Depend on
	funit-type-entry.c, not funit-type-entry.
	(frysk/pkglibdir/funit-type-entry): Delete rule.

2007-10-29  Stan Cox  <scox@redhat.com>

	* Makefile.am (pkglib_PROGRAMS): Add funit-type-entry.

2007-10-15  Sami Wagiaalla  <swagiaal@redhat.com>

	* frysk/scopes/Scope.java (getDeclaredObjectByName): re-enabled
	enum searching.
	* frysk/scopes/Enumiration.java (getVariableByName): Now returns
	an ObjectDeclaration instad of CxxObject.

2007-10-12  Sami Wagiaalla  <swagiaal@redhat.com>

	* frysk/scopes/Variable.java: Moved Variable.java 
	from frysk.scopes to frysk.value.
	* frysk/scopes/TestDie.java: Updated.
	* frysk/scopes/Subprogram.java: Updated.
	* frysk/scopes/Scope.java: Updated.
	* frysk/scopes/Enumerator.java: Updated.
	
2007-10-11  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* frysk/scopes/Variable.java: No longer implements CxxObject.
	Now extends ObjectDeclaration.
	* frysk/scopes/Scope.java: Updated.
	* frysk/scopes/Subprogram.java: Updated.
	* frysk/scopes/TestDie.java: Updated

2007-10-09  Sami Wagiaalla  <swagiaal@redhat.com>

	* frysk/scopes/Scope.java (getCxxObjectByName): Replaced Variable
	with CxxObject.
	* frysk/scopes/Enumiration.java (getVariableByName): Now reuses
	EnumType instead of searching through the die's.

2007-10-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* frysk/scopes/ScopeFactory.java: Passes TypeEntry argument
	to scopes it constructs.
	* frysk/scopes/TestScopeFactory.java: Updated.
	* frysk/scopes/Enumiration.java (Enumiration): Now Takes 
	TypeEntry argument.
	* frysk/scopes/Struct.java: Ditto.
	* frysk/scopes/Subprogram.java: Ditto.
	* frysk/scopes/Subroutine.java: Ditto.
	* frysk/scopes/Scope.java: Ditto.
	* frysk/scopes/InlinedSubroutine.java: Ditto.
	* frysk/scopes/LexicalBlock.java: Ditto.

2007-10-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* frysk/scopes/CxxObject.java (getName): removed public
	modifier.

2007-10-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* frysk/scopes/CxxObject.java: New file
	CxxObjectSearchEngine.java now return CxxObject.
	* frysk/scopes/TestDie.java (testGetLine): Updated.

2007-10-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* frysk/scopes/TestDie.java: Replaced use of StoppedTestTaskFactory
	with DaemonBlockedAtSignal.
	* frysk/scopes/TestScopes.java: Ditto.

2007-10-04  Sami Wagiaalla  <swagiaal@redhat.com>

	* frysk/scopes/Enumerator.java: Moved from frysk/debuginfo to 
	frysk/scopes.
	* frysk/scopes/Enumiration.java: Ditto.
	* frysk/scopes/InlinedSubroutine.java: Ditto.
	* frysk/scopes/LexicalBlock.java: Ditto.
	* frysk/scopes/Scope.java: Ditto.
	* frysk/scopes/ScopeFactory.java: Ditto.
	* frysk/scopes/Struct.java: Ditto.
	* frysk/scopes/Subprogram.java: Ditto.
	* frysk/scopes/Subroutine.java: Ditto.
	* frysk/scopes/TestDie.java: Ditto.
	* frysk/scopes/TestScopeFactory.java: Ditto.
	* frysk/scopes/TestScopes.java: Ditto.
	* frysk/scopes/Variable.java: Ditto.

2007-09-26  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* Makefile.am: Removed hardwired rule for building 
	funit-class.cxx

2007-08-27  Stan Cox  <scox@redhat.com>

	* Makefile.am (pkglib_PROGRAMS): Add funit-class.cxx

2007-08-24  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.am: Change GEN_GCJ_LDADD to GEN_GCJ_LDADD_LIST.

2007-08-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Remove -lopcodes; handled by
	common/frysk-common.ac.

2007-08-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk_pkglibdir_arch32_funit_exec_alias_SOURCES)
	(frysk_pkglibdir_funit_exec_alias_SOURCES): Replace
	funit-child-alias.

2007-07-31  Teresa Thomas  <tthomas@redhat.com>

	* Makefile.rules (SUBST): Switch changed from $@ to $<.
	
2007-07-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* frysk/stepping/TestStepping.java (SteppingTest.runAssertions): 
	Removed 'public' from function signiture.

2007-07-23  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk/pkglibdir/funit-symbols-nodebug)
	(frysk/pkglibdir/funit-symbols-stripped)
	(frysk/pkglibdir/arch32/funit-symbols-nodebug)
	(frysk/pkglibdir/arch32/funit-symbols-stripped): Replace
	funit-stackframe executables.

2007-07-17  Mike Cvet  <mcvet@redhat.com>

	* Makefile.am: Fixed corefile test links.

2007-07-17  Andrew Cagney  <cagney@redhat.com>

	Move CNI code from frysk-imports/ to frysk-sys/
	* Makefile.am (GEN_SOURCEPATH): Search frysk-sys/
	(GEN_GCJ_LDADD): Link frysk-sys.a.

	* Makefile.am (GEN_GCJ_LDADD): Remove
	-L../frysk-imports/lib/opcodes -lbfd_get.
	
	* Makefile.am (frysk/pkgdatadir/test-core-x86) 
	(frysk/pkgdatadir/test-core-x8664): Pass -f to "ln".

2007-07-16  Phil Muldoon  <pmuldoon@redhat.com>

	* Makefile.am (frysk/pkgdatadir/test-core): Delete target, link.


2007-07-03  Phil Muldoon  <pmuldoon@redhat.com>
	
	* Makefile.am (frysk/pkgdatadir/test-core-x8664): New target, link to
	frysk-imports files.  Add to CLEANFILES and noinst_DATA.
	(frysk/pkgdatadir/test-core-x86): Ditto
	(frysk/pkgdatadir/test-core-mt-fp): Delete target, link.

2007-06-26  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AM_INIT_AUTOMAKE): Add no-dist.
	* Makefile.am (EXTRA_DIST): Delete.

2007-06-25  Mike Cvet  <mcvet@redhat.com>

	* Makefile.am (frysk_pkglibdir_arch32_test1_LDADD): Link with libm for
	32-bit binaries on 64.

2007-06-25  Tim Moore  <timoore@redhat.com>

	* Makefile.am (frysk_pkglibdir_test1_LDADD): Link with libm.so.

2007-06-18  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Do not add ChangeLog files.

2007-06-14  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Removed libunwind-$(libunwind-cpu).
	Added libunwind-x86_64 and libunwind-ppc64.

2007-05-01  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Pass -Werror to autoconf.

2007-04-05  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Update `libunwind-ptrace.a' path to the
	libtool compliant one.

2007-03-23  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk/pkgdatadir/test-core)
	(frysk/pkgdatadir/test-core-mt-fp): New targets, link to
	frysk-imports files.  Add to CLEANFILES and noinst_DATA.

2007-03-22  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Added libunwind-x86.h.

2007-03-21  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Removed libunwind-x86.h.
	
2007-03-14  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Fixed libunwind-cpu.h location

2007-02-16  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Delete FRYSK_DO_ARCH32_TEST, moved to
	common/frysk-common.ac.

2007-02-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (prune_ecj): Delete.

2007-02-07  Andrew Cagney  <cagney@redhat.com>

	* testsuite/: Delete directory.
	* Makefile.am (AUTOMAKE_OPTIONS): Do not add dejagnu.
	(RUNTESTDEFAULTFLAGS): Delete.
	(install-dejagnu-testsuite-local): Delete.

2007-02-07  Nurdin Premji  <npremji@redhat.com>
	
	* Makefile.am (pkglib32_PROGRAMS): Added funit-stackframe-nodebug,
	and funit-stackframe-stripped.

2007-02-07  Stan Cox  <scox@redhat.com>

	* Makefile.rules (prune_ecj): Only include generated *.java files.

2007-02-06  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (EXTRA_DIST): Remove frysk/pkglibdir/funit-asm.h, that
	was moved to frysk-imports/include/frysk-asm.h.

	* bootstrap.sh: Add "set -e".

2007-02-05  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (pkglib_PROGRAMS): Removed a bunch of extra tests that have been
	merged into funit-stackframe.S.
	(frysk/pkglibdir/funit-stackframe-asm-nodebug): Removed.
	(frysk/pkglibdir/funit-stackframe-asm-stripped): Ditto.
	(frysk/pkglibdir/funit-stackframe-static-asm-nodebug): Ditto.
	(frysk/pkglibdir/funit-stackframe-static-asm-stripped): Ditto.
	(frysk/pkglibdir/funit-stackframe-static-nodebug): Ditto.
	(frysk/pkglibdir/funit-stackframe-static-stripped): Ditto.

2007-02-05  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (EXTRA_DIST): Add frysk/pkglibdir/util.h and
	frysk/pkglibdir/funit-asm.h
	(funit-stackframe-nodebug, etc.): Add the corresponding empty
	"_SOURCES" variables.

2007-02-04  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk/pkglibdir/funit-stackframe-static-stripped)
	(frysk/pkglibdir/funit-stackframe-static-nodebug)
	(frysk/pkglibdir/funit-stackframe-stripped)
	(frysk/pkglibdir/funit-stackframe-nodebug): Comment out.

2007-02-01  Nurdin Premji <npremji@redhat.com>

	* Makefile.am (frysk/pkglibdir/funit-stackframe-asm-nodebug): Added.
	(frysk/pkglibdir/funit-stackframe-asm-stripped): Ditto.
	(frysk/pkglibdir/funit-stackframe-static-asm-nodebug): Ditto.
	(frysk/pkglibdir/funit-stackframe-static-asm-stripped): Ditto.
	(pkglib_PROGRAMS): Added above.		

2007-01-26  Nurdin Premji <npremji@redhat.com>

	* Makefile.am (frysk/pkglibdir/funit-stackframe-static-nodebug): Added.
	(frysk/pkglibdir/funit-stackframe-static-stripped): Ditto.
	(pkglib_PROGRAMS): Added above.		

2007-01-25  Nurdin Premji <npremji@redhat.com>

	* Makefile.am (frysk/pkglibdir/funit-stackframe-nodebug): Added.
	(frysk/pkglibdir/funit-stackframe-stripped): Ditto.
	(pkglib_PROGRAMS): Added above.

2006-12-22  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (install-dejagnu-testsuite-local):
	(uninstall-dejagnu-testsuite-local): Add $(DESTDIR) where appropriate.

2006-12-18  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (install-dejagnu-testsuite-local)
	(uninstall-dejagnu-testsuite-local): New targets.

2006-12-18  Stepan Kasal  <skasal@redhat.com>

	* configure.ac: Call FRYSK_DO_ARCH32_TEST.

2006-12-14  Adam Jocksch  <ajocksch@redhat.com>

	* bootstrap.sh: No longer uses --cni (bug #3687).

2006-12-14  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (RUNTESTDEFAULTFLAGS): removed --tool expr so util tests will be run as well.

2006-12-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (pkglib32_PROGRAMS): Rename pkglib_arch32_PROGRAMS.

2006-12-11  Andrew Cagney  <cagney@redhat.com>

	* .cvsignore: Clean up; remove TestJUnits.java; add files.list.

2006-12-10  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Replace pkglibexec with pkglib.

2006-12-08  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Pass --cni to Makefile.gen.sh.

2006-12-08  Nurdin Premji  <npremji@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Added -lstdc++.

2006-12-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_SOURCEPATH, GEN_GCJ_LDADD): Remove references
	to frysk-sys.
	* .project: Ditto.
	* .classpath: Ditto.

2006-11-28  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (EXTRA_DIST): frysk/lang/ChangeLog was moved to
	frysk/value.

2006-11-14  Stepan Kasal  <skasal@redhat.com>

	* configure.ac: The included file `common/acinclude.m4' was renamed
	to `common/frysk-common.ac'.

2006-11-13  Stan Cox  <scox@redhat.com>

	* Makefile.am (RUNTESTDEFAULTFLAGS): Use $(srcdir).

2006-10-27  Nurdin Premji <npremji@redhat.com>

	* Makefile.am (EXTRA_DIST): added frysk/util/ChangeLog

2006-10-12  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (funit-child-alias): Do not build, just cp funit-alias.
	(arch32/funit-child-alias): Likewise.

2006-10-11  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (frysk_pkglibexecdir_arch32_funit_child_alias_SOURCES):
	New variable, to fix `make dist'.

2006-10-11  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Pass -Werror to automake.

2006-09-27  Nurdin Premji <npremji@redhat.com>

	* Makefile.am (GEN_CLASSPATH, GEN_GCJ_LDADD): Removed jargs.

2006-09-25  Yong Zheng  <zhengyo@cn.ibm.com>

	* Makefile.am (GEN_CLASSPATH, GEN_GCJ_LDADD): Add the funit-child-alias for arch32 test.

2006-09-21  Nurdin Premji  <npremji@redhat.com>
	
	* Makefile.am: Added support for getopt option parser.

2006-09-19    <swagiaal@redhat.com>

	* Makefile.am: Added -laudit to GEN_GCJ_LDADD.

2006-09-19  Yong Zheng <zhengyo@cn.ibm.com>

	* Makefile.am: Removed all assembly test programs.

2006-09-12  Mike Cvet  <mcvet@redhat.com>

	* Makefile.am: Removed a target to funit-rt-looper.h

2006-09-11  Stan Cox  <scox@redhat.com>

	* Makefile.am (prune_ecj): Add antlr generated source files.

2006-09-08	Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Link in libunwind-ptrace.a.
    * Makefile.in: Rebuild.

2006-08-29  Yong Zheng  <zhengyo@cn.ibm.com>

	* Makefile.am: Add funit-ppc64-regs test program.

2006-08-17  Yao Qi  <qiyaoltc@cn.ibm.com>

	* Makefile.am : Append -lbfd_get to GEN_GCJ_LDADD.

2006-08-15  Stan Cox  <scox@redhat.com>

	* Makefile.am (prune_ecj): New.

2006-08-07  Tim Moore  <timoore@redhat.com>

	* Makefile.am: Add funit-x8664-modify test program.

2006-08-03  Tim Moore  <timoore@redhat.com>

	* Makefile.am: Add funit-x8664-regs test program.

2006-07-21  Nurdin Premji  <npremji@redhat.com>

	* .cvsignore: Ignoring
	config.guess
	config.sub

2006-07-12  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Remove libunwind-ptrace.a.

2006-07-11  Rick Moseley <rmoseley@redhat.com>

	* Makefile.am: Remove generic libunwind.a lib.

2006-07-10  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Remove libunwind-setjmp.a for now.

2006-06-30  Stepan Kasal  <kasal@ucw.cz>

	* configure.ac: Include common/acinclude.m4 before AM_INIT_AUTOMAKE.
	* Makefile.am (GEN_GCJ_LDADD): Add libunwind libs.

2006-06-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Specify static elfutil libraries,
	re-order and add libebl/libebl.a.

2006-06-13  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.am (EXTRA_DIST): Add several ChangeLog's.

2006-06-09  Nurdin Premji  <npremji@redhat.com>

	* .cvsignore: Ignoring:
	compile
	depcomp
	install-sh
	missing

2006-06-07  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.am (GEN_CLASSPATH): Added cdtparser jar from frysk-imports.
	(GEN_GCJ_LDADD): Ditto.

2006-06-06  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Changed linking against .a's to -Ldir -llib.
	Added libdwfl.


2006-05-24  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Add frysk-imports/elfutils/libdw/libdw.a.

2006-05-16  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.am: Add frysk-imports/elfutils/libelf/libelf.a.
	Add -lopcodes for linking.

2006-05-15  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (MOSTLYCLEANFILES): Use += because the variable is
	defined in common/Makefile.common.

2006-05-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Add frysk/pkglibexecdir/util.h.

2006-04-27  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Copy autogen.sh.
	* autogen.sh: Delete.

2006-02-24  Stan Cox  <scox@redhat.com>

	* Makefile.am (MOSTLYCLEANFILES): New.

2006-02-16  Stan Cox  <scox@redhat.com>

	* Makefile.am (pkiglibexec_PROGRAMS): Add funit-child-alias.

2006-02-06  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (installcheck-funit): New.
	(installcheck-local): Add installcheck-funit.

	* Makefile.am (CLEANFILES): Add *.sum, and *.log from dejagnu.
	
	* Makefile.am (frysk_pkglibexecdir_funit_ia32_regs_SOURCES) 
	(pkglibexec_PROGRAMS) 
	(frysk_pkglibexecdir_funit_ia32_modify_SOURCES) 
	(pkglibexec_PROGRAMS): Define.

2006-01-30  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_CLASSPATH): Add jargs.jar.

2006-01-21  Andrew Cagney  <cagney@redhat.com>

	* EXCEPTION: Delete, moved to common/.

2005-12-08  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.am (GEN_CLASSPATH): Added jdom.
	(GEN_GCJ_LDADD): Ditto.
	* frysk/dom: Moved from frysk-gui/frysk/gui/srcwin.

2005-11-28  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (ANTLR): Use $(JAVA).

	* configure.ac (AC_INIT): Shorten package to just <<frysk>>.

	* autogen.sh: Add -f to autoconf.

	* Makefile.am (ANTLR): Define.  Do not include
	frysk/expr/Makefile.inc
	(EXTRA_DIST): Delete frysk/expr/cpp.g and frysk/expr/*.sed.

	* Makefile.am (EXTRA_DIST): Do not add .fig files, handled by
	Makefile.gen.sh.

2005-11-22  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Include common/version.ac.  Update AC_INIT to
	frysk-core FRYSK_VERSION.

2005-11-21  Stan Cox  <scox@redhat.com>

	* frysk/Config.javain: Moved to frysk-imports/frysk.

2005-11-15  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_GCJ_LDADD): Add libfrysk-jargs.a.

2005-11-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_CLASSPATH): Delete GEN_CLASSDIR references.
	(GEN_SOURCEPATH): Add path to frysk-imports.
	
	* Makefile.am (GEN_GCJ_LDADD): Add frysk- prefix to libraries.

2005-11-03  Igor Foox  <ifoox@redhat.com>

	* autogen.sh: Added -I common/m4 to aclocal invokation.

2005-10-28  Tarun Khanna  <tkhanna@redhat.com>

	* Makefile.am: Added DejaGNU --tool option to the RUNTESTDEFAULTFLAGS

2005-10-18  Igor Foox  <ifoox@redhat.com>

	* Makefile.am: Appended all .fig/png files as well as frysk/expr/cpp.g and
	frysk/expr/*.sed to the EXTRA_DIST variable so that they are added to the
	distribution.
	
2005-10-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am: Re-order GEN_CLASSPATH and GEN_GCJ_LDADD so that
	frysk-imports comes after frysk-sys.

2005-09-11  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Set package name to "frysk".

	* Makefile.am: Instead of LDADD, append to GEN_GCJ_LDADD.

2005-09-10  Andrew Cagney  <cagney@redhat.com>

	* COPYING, EXCEPTION: New files; copyright of all files updated.

2005-09-10  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk/expr/CppParser.java): Run antlr output
	through sed to fix warnings.  Include frysk/expr/Makefile.inc.
	
2005-09-09  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Simplify, sinclude common/acinclude.m4.
	
	* configure.ac (JAVAC): Set using AC_CHECK_PROGS.

	* autogen.sh, Makefile.am: Update to reflect move of
	com.redhat.fedora.frysk to frysk.

2005-09-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_CLASSPATH, LDADD): Add frysk-imports.

2005-09-06  Tarun Khanna  <tkhanna@redhat.com>

	* Makefile.am:	Added support for tunning dejagnu tests.

2005-09-01  Andrew Cagney  <cagney@redhat.com>
	
	* .project: Add frysk-imports directory.

2005-08-31  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk-core.jar, frysk-core.db, libfrysk-core.a):
	Delete rules, handled by common/Makefile.gen.sh.

2005-08-30  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.am: Add x86modify test.

2005-08-25  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk-core.db): Add rules.  Fix name of
	frysk-core.jar, was frysk.core.jar.

2005-08-24  Tarun Khanna  <tkhanna@redhat.com>

	* testsuite:  New directory for DejaGNU tests

2005-08-18  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_CLASSPATH, LDADD): Update, jline moved to
	../frysk-imports/jline.

2005-08-18  Tarun Khanna  <tkhanna@.redhat.com>

	* Makefile.am: Added rules for generation of ANTLR related files
	vis. CppLexer.java, CppParser.java, CppParserTokenTypes.java.
	Added these files to "GEN_SOURCES" and "BIN_SOURCES".

2005-08-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am: Delete rules for building main, handled by
	common/Makefile.gen.sh.
	* autogen.sh: Add "prog" directory.

2005-08-13  Ivan Pantuyev <ipantuye@redhat.com>
	
	* Makefile.am: Added support for cli compilation.

2005-08-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_CLASSPATH): Instead of the frysk-sys.jar file,
	specify the frysk-sys build directory.

2005-08-08  Andrew Cagney  <cagney@redhat.com>

	* .cvsignore: Add TestJUnits.java.

2005-08-07  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (GEN_CLASSPATH): Add frysk-sys.jar.

2005-08-05  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (SUFFIXES, BUILT_SOURCES, CLEANFILES)
	(noinst_PROGRAMS, bin_PROGRAMS, noinst_LIBRARIES, LDADD)
	(check_SCRIPTS, TESTS, AM_LDFLAGS, AM_GCJFLAGS, AM_CXXFLAGS):
	Delete defaults, moved to common/Makefile.rules.

	* .classpath: Replace frysk-sys.jar with ../frysk-sys.
	
	Fix problems building under eclipse.
	* .classpath, .project: New.

2005-08-04  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (noinst_PROGRAMS): Add prog/kill/suspend and
	prog/kill/loop.
	
2005-07-28  Andrew Cagney  <cagney@redhat.com>
	    Jeff Johnston  <jjohnstn@redhat.com>
	    Sami Wagiaalla  <swagiaal@redhat.com>
	
	* Makefile.am (prog_perf_clone_SOURCES, prog_perf_clone_LDADD) 
	(prog_perf_fork_SOURCES, prog_perf_fork_LDADD) 
	(prog_fib_clone_SOURCES, prog_fib_clone_LDADD) 
	(prog_fib_fork_SOURCES, prog_print_argv_SOURCES) 
	(prog_print_auxv_SOURCES, prog_print_argc_SOURCES) 
	(prog_syscall_syscalls_SOURCES, prog_print_envp_SOURCES) 
	(prog_step_infThreadLoop_SOURCES, prog_step_infThreadLoop_LDADD) 
	(prog_syscall_exec_SOURCES, prog_syscall_threadexec_SOURCES) 
	(prog_syscall_threadexec_SOURCES, prog_syscall_threadexec_LDADD) 
	(prog_syscall_syscallloop_SOURCES, noinst_PROGRAMS) 
	(prog_terminated_infloop_SOURCES, prog_x86isa_x86regs_SOURCES) 
	(prog_util_auxv_SOURCES, prog_util_run_SOURCES): Define.
	(AM_GCJFLAGS): Include from frysk-sys's build directory.

2005-07-26  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (LDADD): Refer to frysk-sys, not Sys.

2005-07-22  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: New file.
	* Makefile.am: New file.
	* autogen.sh: New file.
	* .cvsignore: New file.

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
